package com.eactive.eai.adapter.http.client.impl.filter;

import java.util.Properties;

import com.eactive.eai.adapter.http.dynamic.HttpAdapterServiceKey;
import com.eactive.eai.common.util.Logger;

public class DebugLoggerOutFilter implements HttpClientAdapterFilter, HttpAdapterServiceKey {
	protected static Logger logger = Logger.getLogger(Logger.LOGGER_ADAPTER);
	
	@Override
	public Object doPreFilter(String adptGrpName, String adptName, Properties prop, Object message, Properties tempProp)
			throws Exception {
		logger.debug("Outbound Filter SND adptGrpName : {}", adptGrpName);
		logger.debug("Outbound Filter SND adptName : {}", adptName);
		logger.debug("Outbound Filter SND prop : {}", prop);
		logger.debug("Outbound Filter SND message : {}", message);
		logger.debug("Outbound Filter SND tempProp : {}", tempProp);
		return message;
	}
	
	@Override
	public Object doPostFilter(String adptGrpName, String adptName, Properties prop, Object message,
			Properties tempProp) throws Exception {
		logger.debug("Outbound Filter RCV adptGrpName : {}", adptGrpName);
		logger.debug("Outbound Filter RCV adptName : {}", adptName);
		logger.debug("Outbound Filter RCV prop : {}", prop);
		logger.debug("Outbound Filter RCV message : {}", message);
		logger.debug("Outbound Filter RCV tempProp : {}", tempProp);
		return message;
	}

}
